> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.fortresstech.io/api-reference/rentable-item/create-rentable-item/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server. # Create Rentable Item POST https://api.fortresstech.io/v1/rentableItems Create a rentable item Reference: https://developer.fortresstech.io/api-reference/rentable-item/create-rentable-item ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Response ### 200 The created rentable item - `name` (string, required) - `propertyId` (string, optional) - `organizationId` (string, optional) - `id` (string, optional) - `readableId` (string, optional) - `idempotencyId` (string, optional) - `createdAt` (datetime, optional) - `updatedAt` (datetime, optional) - `deletedAt` (datetime, optional) - `property` (properties_components-schemas-Base, optional) ## Types ### properties_components-schemas-Base - `name` (string, optional) - `shortName` (string, optional) - `email` (string, optional) - `phone` (string, optional) - `physicalStreetAddress1` (string, optional) - `physicalStreetAddress2` (string, optional) - `physicalCity` (string, optional) - `physicalState` (string, optional) - `physicalZip` (string, optional) - `physicalCountry` (string, optional) - `mailingStreetAddress1` (string, optional) - `mailingStreetAddress2` (string, optional) - `mailingCity` (string, optional) - `mailingState` (string, optional) - `mailingZip` (string, optional) - `mailingCountry` (string, optional) - `phoneNumber` (string, optional) - `faxNumber` (string, optional) - `timezone` (string, optional) - `longitude` (double, optional) - `latitude` (double, optional) - `turnMoveOutDays` (integer, optional) — Number of days after move-out to calculate make ready date - `status` (enum, optional, nullable) — Property lifecycle status. Fortress aggregates occupancy only for ACTIVE properties. - Allowed values: `ACTIVE`, `INACTIVE`, `PENDING` - `propertyClass` (enum, optional, nullable) — The property's class. Null for properties with no class assigned. - Allowed values: `Conventional`, `Affordable`, `Mixed` - `organizationId` (string, optional) - `id` (string, optional) - `readableId` (string, optional) - `idempotencyId` (string, optional) - `createdAt` (datetime, optional) - `updatedAt` (datetime, optional) - `deletedAt` (datetime, optional) - `offboardedAt` (datetime, optional) - `countyName` (string, optional) - `acquisitionDate` (datetime, optional) ## Examples **Response** ```json { "name": "string", "propertyId": "string", "organizationId": "string", "id": "string", "readableId": "string", "idempotencyId": "string", "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "deletedAt": "2024-01-15T09:30:00Z", "property": { "name": "string", "shortName": "string", "email": "string", "phone": "string", "physicalStreetAddress1": "string", "physicalStreetAddress2": "string", "physicalCity": "string", "physicalState": "string", "physicalZip": "string", "physicalCountry": "string", "mailingStreetAddress1": "string", "mailingStreetAddress2": "string", "mailingCity": "string", "mailingState": "string", "mailingZip": "string", "mailingCountry": "string", "phoneNumber": "string", "faxNumber": "string", "timezone": "string", "longitude": 1.1, "latitude": 1.1, "turnMoveOutDays": 1, "status": "ACTIVE", "propertyClass": "Conventional", "organizationId": "string", "id": "string", "readableId": "string", "idempotencyId": "string", "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "deletedAt": "2024-01-15T09:30:00Z", "offboardedAt": "2024-01-15T09:30:00Z", "countyName": "string", "acquisitionDate": "2024-01-15T09:30:00Z" } } ``` **SDK Code** ```python import requests url = "https://api.fortresstech.io/v1/rentableItems" headers = {"x-api-key": ""} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.fortresstech.io/v1/rentableItems'; const options = {method: 'POST', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.fortresstech.io/v1/rentableItems" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.fortresstech.io/v1/rentableItems") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.fortresstech.io/v1/rentableItems") .header("x-api-key", "") .asString(); ``` ```php request('POST', 'https://api.fortresstech.io/v1/rentableItems', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.fortresstech.io/v1/rentableItems"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/rentableItems")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```